.tic-tac-toe {
	font-family: 'Open Sans', sans-serif;
	height: 300px;
	overflow: hidden;
	margin: 50px auto 30px auto;
	position: relative;
	width: 300px; background:rgba(255,255,255,.6); border-radius:10px;box-shadow: 0 0 8px rgba(0, 0, 0, 0.2)
}
@media (min-width: 450px) {
.tic-tac-toe {
	height: 450px;
	width: 450px}
}
.tic-tac-toe input[type="radio"] {
	display: none}
.tic-tac-toe input[type="radio"]:checked + label {
	cursor: default;
	z-index: 10 !important
}
.tic-tac-toe input[type="radio"].player-1 + label:after {content: "X"}
.tic-tac-toe input[type="radio"].player-2 + label:after {content: "O"}
.tic-tac-toe input[type="radio"].player-1:checked + label:after, .tic-tac-toe input[type="radio"].player-2:checked + label:after {
	opacity: 1
}
.tic-tac-toe input[type="radio"].player-1:checked + label {background-color: #dc685a}
.tic-tac-toe input[type="radio"].player-2:checked + label {background-color: #5acedc}
.tic-tac-toe input[type="radio"].turn-1 + label {z-index: 1}
.tic-tac-toe input[type="radio"].turn-2 + label {z-index: 2}
.tic-tac-toe input[type="radio"].turn-3 + label {z-index: 3}
.tic-tac-toe input[type="radio"].turn-4 + label {z-index: 4}
.tic-tac-toe input[type="radio"].turn-5 + label {z-index: 5}
.tic-tac-toe input[type="radio"].turn-6 + label {z-index: 6}
.tic-tac-toe input[type="radio"].turn-7 + label {z-index: 7}
.tic-tac-toe input[type="radio"].turn-8 + label {z-index: 8}
.tic-tac-toe input[type="radio"].turn-9 + label {z-index: 9}
.tic-tac-toe input[type="radio"].turn-1 + label {display: block}
.tic-tac-toe input[type="radio"].turn-1:checked ~ .turn-2 + label {display: block}
.tic-tac-toe input[type="radio"].turn-2:checked ~ .turn-3 + label {display: block}
.tic-tac-toe input[type="radio"].turn-3:checked ~ .turn-4 + label {display: block}
.tic-tac-toe input[type="radio"].turn-4:checked ~ .turn-5 + label {display: block}
.tic-tac-toe input[type="radio"].turn-5:checked ~ .turn-6 + label {display: block}
.tic-tac-toe input[type="radio"].turn-6:checked ~ .turn-7 + label {display: block}
.tic-tac-toe input[type="radio"].turn-7:checked ~ .turn-8 + label {display: block}
.tic-tac-toe input[type="radio"].turn-8:checked ~ .turn-9 + label {display: block}
.tic-tac-toe input[type="radio"].left + label {left: 0}
.tic-tac-toe input[type="radio"].top + label {top: 0}
.tic-tac-toe input[type="radio"].middle + label {left: 100px}
.tic-tac-toe input[type="radio"].right + label {left: 200px}
.tic-tac-toe input[type="radio"].center + label {top: 100px}
.tic-tac-toe input[type="radio"].bottom + label {top: 200px}
@media (min-width: 450px) {
.tic-tac-toe input[type="radio"].middle + label {left: 150px}
.tic-tac-toe input[type="radio"].right + label {left: 300px}
.tic-tac-toe input[type="radio"].center + label {top: 150px}
.tic-tac-toe input[type="radio"].bottom + label {top: 300px}
}
.tic-tac-toe input[type="radio"]:checked ~ input[type="radio"]:checked ~ input[type="radio"]:checked ~ input[type="radio"]:checked ~ input[type="radio"]:checked ~ input[type="radio"]:checked ~ input[type="radio"]:checked ~ input[type="radio"]:checked ~ input[type="radio"]:checked ~ .end {
 display: block
}
.tic-tac-toe input[type="radio"]:checked ~ input[type="radio"]:checked ~ input[type="radio"]:checked ~ input[type="radio"]:checked ~ input[type="radio"]:checked ~ input[type="radio"]:checked ~ input[type="radio"]:checked ~ input[type="radio"]:checked ~ input[type="radio"]:checked ~ .end > h3:before {
 content: "It is a tie!"
}
.tic-tac-toe .player-1.first-column:checked ~ .player-1.first-column:checked ~ .player-1.first-column:checked ~ .end, .tic-tac-toe .player-1.second-column:checked ~ .player-1.second-column:checked ~ .player-1.second-column:checked ~ .end, .tic-tac-toe .player-1.third-column:checked ~ .player-1.third-column:checked ~ .player-1.third-column:checked ~ .end, .tic-tac-toe .player-1.first-row:checked ~ .player-1.first-row:checked ~ .player-1.first-row:checked ~ .end, .tic-tac-toe .player-1.second-row:checked ~ .player-1.second-row:checked ~ .player-1.second-row:checked ~ .end, .tic-tac-toe .player-1.third-row:checked ~ .player-1.third-row:checked ~ .player-1.third-row:checked ~ .end, .tic-tac-toe .player-1.first-diagonal:checked ~ .player-1.first-diagonal:checked ~ .player-1.first-diagonal:checked ~ .end, .tic-tac-toe .player-1.second-diagonal:checked ~ .player-1.second-diagonal:checked ~ .player-1.second-diagonal:checked ~ .end {
 display: block
}
.tic-tac-toe .player-1.first-column:checked ~ .player-1.first-column:checked ~ .player-1.first-column:checked ~ .end h3:before, .tic-tac-toe .player-1.second-column:checked ~ .player-1.second-column:checked ~ .player-1.second-column:checked ~ .end h3:before, .tic-tac-toe .player-1.third-column:checked ~ .player-1.third-column:checked ~ .player-1.third-column:checked ~ .end h3:before, .tic-tac-toe .player-1.first-row:checked ~ .player-1.first-row:checked ~ .player-1.first-row:checked ~ .end h3:before, .tic-tac-toe .player-1.second-row:checked ~ .player-1.second-row:checked ~ .player-1.second-row:checked ~ .end h3:before, .tic-tac-toe .player-1.third-row:checked ~ .player-1.third-row:checked ~ .player-1.third-row:checked ~ .end h3:before, .tic-tac-toe .player-1.first-diagonal:checked ~ .player-1.first-diagonal:checked ~ .player-1.first-diagonal:checked ~ .end h3:before, .tic-tac-toe .player-1.second-diagonal:checked ~ .player-1.second-diagonal:checked ~ .player-1.second-diagonal:checked ~ .end h3:before {
 content: "Player 1 won!" !important
}
.tic-tac-toe .player-2.first-column:checked ~ .player-2.first-column:checked ~ .player-2.first-column:checked ~ .end, .tic-tac-toe .player-2.second-column:checked ~ .player-2.second-column:checked ~ .player-2.second-column:checked ~ .end, .tic-tac-toe .player-2.third-column:checked ~ .player-2.third-column:checked ~ .player-2.third-column:checked ~ .end, .tic-tac-toe .player-2.first-row:checked ~ .player-2.first-row:checked ~ .player-2.first-row:checked ~ .end, .tic-tac-toe .player-2.second-row:checked ~ .player-2.second-row:checked ~ .player-2.second-row:checked ~ .end, .tic-tac-toe .player-2.third-row:checked ~ .player-2.third-row:checked ~ .player-2.third-row:checked ~ .end, .tic-tac-toe .player-2.first-diagonal:checked ~ .player-2.first-diagonal:checked ~ .player-2.first-diagonal:checked ~ .end, .tic-tac-toe .player-2.second-diagonal:checked ~ .player-2.second-diagonal:checked ~ .player-2.second-diagonal:checked ~ .end {
 display: block
}
.tic-tac-toe .player-2.first-column:checked ~ .player-2.first-column:checked ~ .player-2.first-column:checked ~ .end h3:before, .tic-tac-toe .player-2.second-column:checked ~ .player-2.second-column:checked ~ .player-2.second-column:checked ~ .end h3:before, .tic-tac-toe .player-2.third-column:checked ~ .player-2.third-column:checked ~ .player-2.third-column:checked ~ .end h3:before, .tic-tac-toe .player-2.first-row:checked ~ .player-2.first-row:checked ~ .player-2.first-row:checked ~ .end h3:before, .tic-tac-toe .player-2.second-row:checked ~ .player-2.second-row:checked ~ .player-2.second-row:checked ~ .end h3:before, .tic-tac-toe .player-2.third-row:checked ~ .player-2.third-row:checked ~ .player-2.third-row:checked ~ .end h3:before, .tic-tac-toe .player-2.first-diagonal:checked ~ .player-2.first-diagonal:checked ~ .player-2.first-diagonal:checked ~ .end h3:before, .tic-tac-toe .player-2.second-diagonal:checked ~ .player-2.second-diagonal:checked ~ .player-2.second-diagonal:checked ~ .end h3:before {
 content: "Player 2 won!" !important
}
.tic-tac-toe label {
	background-color: #f2e0c4;
	border-radius: 14px;
	cursor: pointer;
	color: #fff;
	display: none;
	height: 90px;
	margin: 5px;
	position: absolute;
	width: 90px;
	-moz-transition: background-color 0.3s;
	-o-transition: background-color 0.3s;
	-webkit-transition: background-color 0.3s;
	transition: background-color 0.3s
}